Supercheck LogoSupercheck
Tests API

Update a test

Update test title, script, description, or type.

PATCH
/api/tests/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

CLI token (sck_live_*) for full API access, or trigger key (sck_trigger_* / legacy job_*) for job trigger endpoint only.

In: header

Path Parameters

id*string

Test ID

Formatuuid

Request Body

application/json

title?string
script?string
description?string
type?string
Value in"browser" | "api" | "performance" | "database" | "custom"

Response Body

application/json

application/json

application/json

curl -X PATCH "https://demo.supercheck.dev/api/tests/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "title": "string",
  "description": "string",
  "priority": "low",
  "type": "browser",
  "script": "string",
  "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  "tags": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "color": "string"
    }
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": "Unauthorized"
}
{
  "error": "Not found"
}